petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscStageLogGetEventPerfLog

This function returns the PetscEventPerfLog for the given stage.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetEventPerfLog(PetscStageLog stageLog, int stage, PetscEventPerfLog *eventLog)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage

### Output Parameter

eventLog -The PetscEventPerfLog

Developer Notes: Inline since called for EACH PetscEventLogBeginDefault() and PetscEventLogEndDefault()

### Keywords

log, stage

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages